Ask Your Question
1

Do all gem dependencies need to be rpms?

asked 2015-06-23 19:56:58 -0600

davidkazuhiro gravatar image

For example, I'm looking into creating an EL7 RPM which follows Fedora's guidelines for fluentd (as opposed to their RPM which bundles all of its own dependencies under /opt and contains no changelog or errata)

According to Fedora's documentation, rubygem's dependency management should be used for getting the required packages. However, what if the required package is not an RPM?

For instance, of the dependencies for the fluentd gem, only json has an rpm (rubygem-json in base) but none of the others do.

Do I need to ensure an RPM exists in EPEL for each of these gems as well and make the rpm depend on them? Or is it OK to just let the gems install themselves?

edit retag flag offensive close merge delete

2 Answers

Sort by ยป oldest newest most voted
1

answered 2015-06-23 23:03:19 -0600

aeperezt gravatar image

Yes, in order to build all gem dependencies must be a rpm ruby gem, if it is not on epel you may need to create it.

edit flag offensive delete link more
0

answered 2015-07-03 09:38:53 -0600

Yes. This is because of Fedora packaging policy does not allow bundling (apart from the exceptions). But you don't need to package tzinfo-data, because tzinfo works now with system tzdata database.

edit flag offensive delete link more

Question Tools

Stats

Asked: 2015-06-23 19:56:58 -0600

Seen: 125 times

Last updated: Jul 03 '15